Main Page | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# dkcDeque.h File Reference

std::deque見たいな物を目指そうとしたが、すでに作る気梨･･･。どちら様かソースを寄付していただけないでしょうか？ More...

`#include "dkcOSIndependent.h"`
`#include "dkcSerialize.h"`

Include dependency graph for dkcDeque.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
struct | dkc_Deque
## Typedefs
typedef dkc_Deque | DKC_DEQUE
## Functions
DKC_EXTERN DKC_DEQUE *WINAPI | dkcAllocDeque (size_t numof__, size_t offsetof__)
| キュー領域を得る。
DKC_EXTERN int WINAPI | dkcFreeDeque (DKC_DEQUE **ptr)
DKC_EXTERN int WINAPI | dkcDequePushBack (DKC_DEQUE *ptr, const void *)
DKC_EXTERN int WINAPI | dkcDequePopBack (DKC_DEQUE *ptr, void *)
DKC_EXTERN int WINAPI | dkcDequePushFront (DKC_DEQUE *ptr, const void *)
DKC_EXTERN int WINAPI | dkcDequePopFront (DKC_DEQUE *ptr, void *)
DKC_EXTERN void WINAPI | dkcDequeClear (DKC_DEQUE *ptr)
DKC_EXTERN int WINAPI | dkcDequeSerialize (const DKC_DEQUE *ptr, DKC_SERIALIZE *se)
DKC_EXTERN DKC_DEQUE *WINAPI | dkcAllocDequeDeserialize (DKC_DESERIALIZE *se)
DKC_EXTERN int WINAPI | dkcDequeGetPoint (const DKC_DEQUE *ptr, size_t point_of__, void *buffer, size_t buffsize)

## Detailed Description

std::deque見たいな物を目指そうとしたが、すでに作る気梨･･･。どちら様かソースを寄付していただけないでしょうか？

## Typedef Documentation

typedef struct dkc_Deque DKC_DEQUE

| double ended queue構造体

## Function Documentation

DKC_EXTERN DKC_DEQUE* WINAPI dkcAllocDeque | ( | size_t | numof__,
|  | size_t | offsetof__
| ) |

  | キュー領域を得る。 Parameters:
  numof__[in] | double ended queueに使う配列の要素の数
  offsetof__[in] | double ended queueにぶち込むデータのサイズ
Returns: double ended queueハンドルへのポインタ。

DKC_EXTERN DKC_DEQUE* WINAPI dkcAllocDequeDeserialize | ( | DKC_DESERIALIZE * | se | ) |

DKC_EXTERN void WINAPI dkcDequeClear | ( | DKC_DEQUE * | ptr | ) |

| キューをクリアする。

DKC_EXTERN int WINAPI dkcDequeGetPoint | ( | const DKC_DEQUE * | ptr,
|  | size_t | point_of__,
|  | void * | buffer,
|  | size_t | buffsize
| ) |

  | Parameters:
  ptr[in] | queue
  point_of__[in] | ポイント
  buffer[in] | バッファへのポインタ
  buffsize[in] | バッファのサイズ

DKC_EXTERN int WINAPI dkcDequePopBack | ( | DKC_DEQUE * | ptr,
|  | void * |
| ) |

  | Parameters:
  id[in] | 同じidを二回解放するとバグリます。

DKC_EXTERN int WINAPI dkcDequePopFront | ( | DKC_DEQUE * | ptr,
|  | void * |
| ) |

DKC_EXTERN int WINAPI dkcDequePushBack | ( | DKC_DEQUE * | ptr,
|  | const void * |
| ) |

| Note:

DKC_EXTERN int WINAPI dkcDequePushFront | ( | DKC_DEQUE * | ptr,
|  | const void * |
| ) |

DKC_EXTERN int WINAPI dkcDequeSerialize | ( | const DKC_DEQUE * | ptr,
|  | DKC_SERIALIZE * | se
| ) |

DKC_EXTERN int WINAPI dkcFreeDeque | ( | DKC_DEQUE ** | ptr | ) |

| DKC_DEQUEをデリート